summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSven Eden <sven.eden@gmx.de>2016-03-15 16:39:27 +0100
committerSven Eden <sven.eden@gmx.de>2016-03-15 16:39:27 +0100
commitbf85b0ed8b1221c19a9f7e673a75392c473dc502 (patch)
tree860aa2af3797b29c60e65b5844172caffcc10683
parentRemoved app-emulation/winetricks. Use the in-tree version 99999999 instead. (diff)
downloadseden-bf85b0ed8b1221c19a9f7e673a75392c473dc502.tar.gz
seden-bf85b0ed8b1221c19a9f7e673a75392c473dc502.tar.bz2
seden-bf85b0ed8b1221c19a9f7e673a75392c473dc502.zip
Cleaned up eclipse-sdk and ogre-1.9.0-r2. Long overdue...
-rw-r--r--dev-games/ogre/ChangeLog5
-rw-r--r--dev-games/ogre/Manifest3
-rw-r--r--dev-games/ogre/ogre-1.9.0-r2.ebuild141
-rw-r--r--dev-util/eclipse-sdk/ChangeLog170
-rw-r--r--dev-util/eclipse-sdk/Manifest10
-rw-r--r--dev-util/eclipse-sdk/eclipse-sdk-3.7.1-r11.ebuild442
-rw-r--r--dev-util/eclipse-sdk/files/3.7/eclipse-3.746
-rw-r--r--dev-util/eclipse-sdk/files/3.7/eclipserc-3.720
-rw-r--r--dev-util/eclipse-sdk/files/3.7/gtk_makefile.patch36
-rw-r--r--dev-util/eclipse-sdk/files/3.7/hamcrest-junit-lib.patch11
-rw-r--r--dev-util/eclipse-sdk/files/3.7/iterators.patch70
-rw-r--r--dev-util/eclipse-sdk/metadata.xml13
-rw-r--r--profiles/package.mask21
13 files changed, 10 insertions, 978 deletions
diff --git a/dev-games/ogre/ChangeLog b/dev-games/ogre/ChangeLog
index ecf5fa5..c784596 100644
--- a/dev-games/ogre/ChangeLog
+++ b/dev-games/ogre/ChangeLog
@@ -2,6 +2,11 @@
# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+ 15 Mar 2016; Sven Eden <yamakuzure@gmx.net>
+ -ogre-1.9.0-r2.ebuild :
+ Long overdue cleanup.
+
+
*ogre-1.9.0-r3 (03 Sep 2015)
03 Sep 2015; Sven Eden <yamakuzure@gmx.net> +ogre-1.9.0-r3.ebuild,
diff --git a/dev-games/ogre/Manifest b/dev-games/ogre/Manifest
index 737c8e4..d54fefb 100644
--- a/dev-games/ogre/Manifest
+++ b/dev-games/ogre/Manifest
@@ -2,8 +2,7 @@ AUX 1.9.0-01_remove_resource_path_to_bindir.patch 782 SHA256 d0d68eb5d12a1e9aa99
AUX 1.9.0-02_remove_media_path_to_bindir.patch 906 SHA256 7eb418498d8278af1b68b898c36846e1ba79835b9645565b0e451aef627ff870 SHA512 75d7c2ba247e5a7858997faa2d5995244911e85a759f4cc245eb2233127bf67d414e89380b75be7dceaa2fa7797e35f17c6d8e3532dbb550690eea6115c77a0a WHIRLPOOL e619220980dc7e54559b33f934f786f3b3b5e1fd92af334dbc677ce8afec9104953a7e76960fd8593ad26dc3e11b6b6b7e34d6c9d79045e3745e80fab74b1395
AUX 1.9.0-03_move_stowed_template_func.patch 2536 SHA256 3cc7fa5cd796669272ec0283327fd89ee8cebd956055ffd3011aca03bf3ba64c SHA512 a0fb3bd1ae4e472a5493e9b60d7b1d6bfaacbd2c21cb31c281e60226040fc6bacecdbe898be1ec3f48a30584d645f4ac185cb4ef56446a171d4421d317d6acbd WHIRLPOOL 4bc4ca61000efec715a4c7b31c786bbbc3521c1a9fbf9da6214b49985b990e544216fd0fb456c1186ad73d8b5390f94fa135ce7e4d63560acdf2049e42a10876
DIST ogre-1.9.0.tar.bz2 128098305 SHA256 3072df52b2bed2a1b52e969f140ae9a4373ec931029d3eaa032e7c609a91ef82 SHA512 b1ea93d80ac0978a7c228460a6714f8d17797450efd5af6765c9fa4402e9060a8ef3a700d2757593a3016fdc32276722c8f4a5d9889a3e2eb424f16162a52bde WHIRLPOOL 625cc09ba5a76757b47764c41583584f538eb9561e5bfd546192e06da504aa3924d7070a7dfbe420c4db3edf5870baf5e8b77cc611aa4185806508f79302d6cd
-EBUILD ogre-1.9.0-r2.ebuild 4077 SHA256 7e56876a5004c8b3410b8d049bdf4c7403dd3212540f71768fef94c70cf714c2 SHA512 89ce0efbcb303aaa7706b5dfbeb72e0f84ed4d2965bcf18294aa79e5d3f599417169bd84f602daacb62f7fbfbcf362618ab3206dfc2691b16fde373558145713 WHIRLPOOL 3319951aed2c62a0dbb57d678acea358c379a40f130be4a939d73888eb62db91608d9441122f23caec02cc23b0016d7206cf4dc17bd9c0b2230fc6787f1c2192
EBUILD ogre-1.9.0-r3.ebuild 4427 SHA256 ffb2b6aad857650f040e75303c8909a80af9d3781e0465c9273c41b4a5d3e935 SHA512 c7bde16280ee8c3e3ebda8585552378f360ac9562c670a81097f4f91561294eff25649ab63c0155cd798a4bd17c659f828c1a706698ecbc7254a1a64d4047271 WHIRLPOOL ceffc227ad7eb3fe01f73e066e59316d66a90ad310f2d4ae7a1db8ed1a23eeeae31b43ff03ee50bd7cdefce37dabb2c21d8d16b7e7414c1d98a32d1913d6fa3b
-MISC ChangeLog 1422 SHA256 35946c856296a514125c1bed679383b4b3a218caed4eae4aa00529f5c84491dc SHA512 00cb00f81806739928bc358a929a12ee5a8a37745e99297b2ac0c273b0ecd26eb9f85225cf5c054cfd423d11b74f59619d770ad376fc41a0847ccabf203c4327 WHIRLPOOL a5e9c35972e1d02f8bc1f8f11173206d3e38e47926c2413b28763c08c4bb9eac6754bbad25c50d120ead68f6d7132ed8fee885a64acf306017470752f5b30a86
+MISC ChangeLog 1520 SHA256 62a0a12169d1f73a0a26b56e03e69ad85b24cd4c1c00d20b32f85bede1c1f148 SHA512 e80bf7f11d541fdd2f36cd71168194abb0a5570928f7787f26cb4d4479bcbb450b281ff0989af694382dde3bf224f91b8918e67d0fdd3f7707abf015b4652f42 WHIRLPOOL 5c6eb73909a836f4e7142742948462e5beef65fd3fed3294f6ca6df7584e97eee03593caf5b85c15806db2edfc58c8c434dedf7fab27d5ee53a649c4367bc2b0
MISC TODO 418 SHA256 e7be911fd65737c9f3108800df28bcce802562950d082adf3214e2f7982abd9c SHA512 6344ea7f2f535484bf48eb05343ac548cb673f37592479f2751a0d4a6a707e5383a2fadb1bc172cf9449c115d4e27326fcf9ea2c798b64980f5476edd0adcb4d WHIRLPOOL 188e3b1dfdd575e83d47e032fbce39e2b5b8c8124a1f5588a61b16fde55063fce5aecd8158f81d5f208729b6fc0a76c75770bf4a46feebde10f6dd4aa6a512f7
MISC metadata.xml 1257 SHA256 400bd1acf29d0d39030d53c61096caa35b02fa96c65cc006fddd2ef765ca8ad7 SHA512 1947e09c684e80b9488bc6dd55fc4c444807095bf236aaa78564479a130d1ad8e38cf6c1c486210fef3706026c224c97441473cafc6fc2d25859222d5cf4d46f WHIRLPOOL 0e530a93e01a8308b51243309332e2efd63b895d8991d7945ade20f6da6be0099cb413012e44c0db13abb2fa922135234123498b3886455dd5d9bd713751aabe
diff --git a/dev-games/ogre/ogre-1.9.0-r2.ebuild b/dev-games/ogre/ogre-1.9.0-r2.ebuild
deleted file mode 100644
index c474323..0000000
--- a/dev-games/ogre/ogre-1.9.0-r2.ebuild
+++ /dev/null
@@ -1,141 +0,0 @@
-# Copyright 1999-2014 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-EAPI=5
-CMAKE_REMOVE_MODULES="yes"
-CMAKE_REMOVE_MODULES_LIST="FindFreetype"
-
-inherit eutils cmake-utils vcs-snapshot versionator
-
-MY_PV=$(get_version_component_range 1-3)
-
-DESCRIPTION="Object-oriented Graphics Rendering Engine"
-HOMEPAGE="http://www.ogre3d.org/"
-SRC_URI="https://bitbucket.org/sinbad/ogre/get/v${PV//./-}.tar.bz2 -> ${P}.tar.bz2"
-
-LICENSE="MIT public-domain"
-SLOT="0/1.9.0"
-KEYWORDS="~amd64 ~x86"
-
-# gles1 currently broken wrt bug #418201
-# gles1 does not even build wrt bug #506058
-IUSE="\
- +boost cg doc double-precision examples +freeimage gl3plus gles2 \
- gles3 ois +opengl poco profile source tbb threads tools +zip"
-
-REQUIRED_USE="threads? ( ^^ ( boost poco tbb ) )
- poco? ( threads )
- tbb? ( threads )
- gles2? ( !gl3plus )
- gles3? ( ( !gl3plus ) ( gles2 ) )
- gl3plus? ( ( opengl ) ( !gles2 ) ( !gles3 ) )"
-
-RESTRICT="test" #139905
-
-RDEPEND="
- dev-libs/tinyxml
- media-libs/freetype:2
- virtual/opengl
- virtual/glu
- x11-libs/libX11
- x11-libs/libXaw
- x11-libs/libXrandr
- x11-libs/libXt
- boost? ( dev-libs/boost )
- cg? ( media-gfx/nvidia-cg-toolkit )
- freeimage? ( media-libs/freeimage )
- gles2? ( >=media-libs/mesa-9.0.0[gles2] )
- gles3? ( >=media-libs/mesa-10.0.0[gles2] )
- gl3plus? ( >=media-libs/mesa-9.2.5 )
- ois? ( dev-games/ois )
- threads? (
- poco? ( dev-libs/poco )
- tbb? ( dev-cpp/tbb )
- )
- zip? ( sys-libs/zlib dev-libs/zziplib )"
-
-DEPEND="${RDEPEND}
- x11-proto/xf86vidmodeproto
- virtual/pkgconfig
- doc? ( app-doc/doxygen )"
-
-src_prepare() {
- sed -i \
- -e "s:share/OGRE/docs:share/doc/${PF}:" \
- Docs/CMakeLists.txt || die
- # Stupid build system hardcodes release names
- sed -i \
- -e '/CONFIGURATIONS/s:CONFIGURATIONS Release.*::' \
- CMake/Utils/OgreConfigTargets.cmake || die
-
- # Fix some path issues
- epatch "${FILESDIR}/${MY_PV}-01_remove_resource_path_to_bindir.patch"
- epatch "${FILESDIR}/${MY_PV}-02_remove_media_path_to_bindir.patch"
-}
-
-src_configure() {
- local mycmakeargs=(
- -DOGRE_FULL_RPATH=NO
- $(cmake-utils_use boost OGRE_USE_BOOST)
- $(cmake-utils_use cg OGRE_BUILD_PLUGIN_CG)
- $(cmake-utils_use doc OGRE_INSTALL_DOCS)
- $(cmake-utils_use double-precision OGRE_CONFIG_DOUBLE)
- $(cmake-utils_use examples OGRE_INSTALL_SAMPLES)
- $(cmake-utils_use freeimage OGRE_CONFIG_ENABLE_FREEIMAGE)
- $(cmake-utils_use opengl OGRE_BUILD_RENDERSYSTEM_GL)
- $(cmake-utils_use gl3plus OGRE_BUILD_RENDERSYSTEM_GL3PLUS)
- -DOGRE_BUILD_RENDERSYSTEM_GLES=FALSE
- $(cmake-utils_use gles2 OGRE_BUILD_RENDERSYSTEM_GLES2)
- $(cmake-utils_use gles3 OGRE_CONFIG_ENABLE_GLES3_SUPPORT)
- $(cmake-utils_use profile OGRE_PROFILING)
- $(cmake-utils_use examples OGRE_BUILD_SAMPLES)
- $(cmake-utils_use source OGRE_INSTALL_SAMPLES_SOURCE)
- -DOGRE_BUILD_TESTS=FALSE
- $(usex threads "-DOGRE_CONFIG_THREADS=2" "-DOGRE_CONFIG_THREADS=0")
- $(cmake-utils_use tools OGRE_BUILD_TOOLS)
- $(cmake-utils_use zip OGRE_CONFIG_ENABLE_ZIP)
- )
-
- if use threads ; then
- local f
- for f in boost poco tbb ; do
- use ${f} || continue
- mycmakeargs+=( -DOGRE_CONFIG_THREAD_PROVIDER=${f} )
- break
- done
- fi
-
- cmake-utils_src_configure
-}
-
-src_install() {
- cmake-utils_src_install
-
- CONFIGDIR=/etc/OGRE
- SHAREDIR=/usr/share/OGRE
- TESTDIR=/usr/local/share/OGRE
-
- # plugins and resources are the main configuration
- insinto ${CONFIGDIR}
- doins "${CMAKE_BUILD_DIR}"/bin/plugins.cfg
- doins "${CMAKE_BUILD_DIR}"/bin/resources.cfg
- dosym ${CONFIGDIR}/plugins.cfg ${SHAREDIR}/plugins.cfg
- dosym ${CONFIGDIR}/resources.cfg ${SHAREDIR}/resources.cfg
-
- # The testdir needs to be created
- mkdir -p "${D}/${TESTDIR}"
-
- # Use video group, as OGRE is a rendering engine you need to be in the
- # video group to use anyway. (Ogre3D is not a game engine, actually I
- # think dev-games is the wrong category anyway.)
- chown :video "${D}/${TESTDIR}"
- chmod g+rwX "${D}/${TESTDIR}"
-
- # These are only for the sample browser
- insinto ${SHAREDIR}
- doins "${CMAKE_BUILD_DIR}"/bin/quakemap.cfg
- doins "${CMAKE_BUILD_DIR}"/bin/samples.cfg
-
- # tests.cfg is not needed
-}
diff --git a/dev-util/eclipse-sdk/ChangeLog b/dev-util/eclipse-sdk/ChangeLog
deleted file mode 100644
index 9a7e753..0000000
--- a/dev-util/eclipse-sdk/ChangeLog
+++ /dev/null
@@ -1,170 +0,0 @@
-# ChangeLog for dev-util/eclipse-sdk
-# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
-# $Header: $
-
-*eclipse-sdk-3.7.1-r11.ebuild (17 Jan 2013)
-
- 17 Jan 2013 Sven Eden <sven.eden@gmx.de>
- +eclise-sdk-3.7.1-r11.ebuild,
- -eclise-sdk-3.7.1-r10.ebuild,
- -eclise-sdk-3.7.1-r9.ebuild:
- Removed gnome USE flag, it never enabled a successful build anyway.
- Added android use flag to a) take care that SWT is compiled with
- cairo support, the swt-gtk-cairo library is available and that
- dev-util/android-sdk-update-manager is installed.
- Fixed the linking of SWT libraries to use the correct versions
- using the patch from bug #452578, written by Michael Seifert.
- Allowed more 1.7 JDKs, as reported to work in bug #450254 by
- Dominik Buerkle.
- Removed obsolete ebuilds.
-
-*eclipse-sdk-3.7.1-r10.ebuild (09 Jan 2013)
-
- 09 Jan 2013 Sven Eden <sven.eden@gmx.de>
- +eclise-sdk-3.7.1-r10.ebuild:
- Changed the dependency to either sun-jdk-1.6.0* or virtual/jdk:1.7
- because DominikBuerkle reported in bug #450254 that he had run
- eclipse 3.7.1 without problems with several JDKs from the 1.7
- range.
-
-*eclipse-sdk-3.7.1-r9.ebuild (07 Jan 2013)
-
- 07 Jan 2013 Sven Eden <sven.eden@gmx.de> +eclise-sdk-3.7.1-r9.ebuild,
- -eclipse-sdk-3.7.1-r8.ebuild :
- Happy new year 2013!
- Eclipse now depends on either sun-jdk-1.6.0* or icedtea7 as it has
- been reported (thank you very much, Milan Ševčík!) that Eclipse
- works with icedtea7 without any issues.
- Further updated the ebuild to use the stable swt-3.7.2 instead of
- the keyworded swt-3.7.1.
-
-*eclipse-sdk-3.7.1-r8.ebuild (17 Dec 2012)
-
- 17 Dec 2012 Sven Eden <sven.eden@gmx.de> +eclise-sdk-3.7.1-r8.ebuild,
- -eclipse-sdk-3.7.1-r7.ebuild :
- After the umptiest time it has been complained about eclipse not
- merging, and the user has icedtea installed, I have added a blocker
- against icedtea. It won't be fixed to work with icedtea anyway.
-
-*eclipse-sdk-3.7.1-r7.ebuild (12 Mar 2012)
-
- 12.Mar.2012 Sven Eden <sven.eden@gmx.de> +eclise-sdk-3.7.1-r7.ebuild :
- Fixed the dependency line for swt. Eclipse is not fit for swt-3.7.2+.
-
- 12.Mar.2012 Sven Eden <sven.eden@gmx.de>
- -eclipse-sdk-3.7.1-r6.ebuild :
- Removed broken ebuild
-
-*eclipse-sdk-3.7.1-r6.ebuild (12 Mar 2012)
-
- 12.Mar.2012 Sven Eden <sven.eden@gmx.de> +eclise-sdk-3.7.1-r6.ebuild :
- Add libpng:1.2 to RDEPEND, and set the minimum version of SWT to the build
- version of Eclipse-SDK. This should fix issues users having when compiling
- Eclipse-SDK without the proper version (or any) of SWT installed, and
- should fix some runtime issues when the old libpng variant is missing.
-
- 12.Mar.2012 Sven Eden <sven.eden@gmx.de>
- -eclipse-sdk-3.7.1-r5.ebuild :
- Removed obsolete ebuilds
-
-*eclipse-sdk-3.7.1-r5.ebuild (28 Feb 2012)
-
- 28.Feb.2012 Sven Eden <sven.eden@gmx.de> +eclise-sdk-3.7.1-r5.ebuild :
- Changed the memory requirements from 1536M to 1280M, which is two and
- a half times the set Xmx value for 512M instead of the previous three
- times. The build works fine with this lower settings and allows users
- with 1.5GB RAM to merge eclipse without manual tweaks.
-
- 28.Feb.2012 Sven Eden <sven.eden@gmx.de>
- -eclipse-sdk-3.7.0-r5.ebuild,
- -eclipse-sdk-3.7.1-r2.ebuild,
- -eclipse-sdk-3.7.1-r4.ebuild :
- Removed obsolete ebuilds
-
-*eclipse-sdk-3.7.1-r4.ebuild (20 Feb 2012)
-
- 20.Feb.2012 Sven Eden <sven.eden@gmx.de> +eclise-sdk-3.7.1-r4.ebuild :
- Changed the use of ant-* to version 1.8.2 as shown by Andreas
- Sturmlechner <andreas.sturmlechner@gmail.com>.
-
-*eclipse-sdk-3.7.1-r5.ebuild (02 Feb 2012)
-
- 02.Feb.2012 Sven Eden <sven.eden@gmx.de>
- -eclise-sdk-3.7.1-r5.ebuild :
- It makes no sense, the version 6 of jetty is wired-in so hard, there
- is no use in trying to update to jetty-7
-
-*eclipse-sdk-3.7.1-r5.ebuild (02 Feb 2012)
-
- 02.Feb.2012 Sven Eden <sven.eden@gmx.de>
- +eclise-sdk-3.7.1-r5.ebuild :
- -eclise-sdk-3.7.1-r4.ebuild :
- When using jetty-7, it is named org.eclipse.jetty and no longer
- org.mortbay.jetty.
-
-*eclipse-sdk-3.7.1-r4.ebuild (02 Feb 2012)
-
- 02.Feb.2012 Sven Eden <sven.eden@gmx.de>
- +eclise-sdk-3.7.1-r4.ebuild :
- -eclise-sdk-3.7.1-r3.ebuild :
- Fixed a wrong entry, jetty.jar is now named jetty-server.jar
-
-*eclipse-sdk-3.7.1-r3.ebuild (02 Feb 2012)
-
- 02.Feb.2012 Sven Eden <sven.eden@gmx.de> +eclise-sdk-3.7.1-r3.ebuild :
- First candidate to support jetty7
-
-*eclipse-sdk-3.7.0-r5.ebuild (05 Jan 2012)
-
-*eclipse-sdk-3.7.1-r2.ebuild (05 Jan 2012)
-
- 05.Jan.2012 Sven Eden <sven.eden@gmx.de> +eclipse-sdk-3.7.0-r5.ebuild,
- +eclise-sdk-3.7.1-r2.ebuild : The previous ebuilds did not specify the
- correct versions for sat4j, the prepare stage still searched for slot
- 2 instead of 2.3. Thanks again to Robin Kauffman <robink@creosotehill.org>
- and Jānis Iraids <jiraids@inbox.lv> for reporting this issue.
- -eclipse-sdk-3.7.0-r4.ebuild, -eclipse-sdk-3.7.1-r1.ebuild: Remove faulty
- ebuilds.
-
-*eclipse-sdk-3.7.0-r4.ebuild (02 Jan 2012)
-
-*eclipse-sdk-3.7.1-r1.ebuild (02 Jan 2012)
-
- 02.Jan.2012 Sven Eden <sven.eden@gmx.de> +eclipse-sdk-3.7.0-r4.ebuild,
- +eclise-sdk-3.7.1-r1.ebuild : sat4j-pseudo and sat4j-core are now in the
- official tree, the new ebuilds use them by slot 2.3. Thanks to Robin
- Kauffman <robink@creosotehill.org> for pointing that out.
- -eclipse-sdk-3.7.0.ebuild, -eclipse-sdk-3.7.0-r1.ebuild,
- -eclipse-sdk-3.7.0-r2.ebuild, -eclipse-sdk-3.7.0-r3.ebuild,
- -eclipse-sdk-3.7.1.ebuild: Remove old ebuilds.
-
-*eclipse-sdk-3.7.1.ebuild (03 Nov 2011)
-
- 03 Nov 2011; Sven Eden <sven.eden@gmx.de> +eclipse-sdk-3.7.1.ebuild :
- Initial commit of the ebuild. Taken from Bug #325271, written by Matt Whitlock
- (gentoo@mattwhitlock.name), added RESTRICT="mirror" by me, added Tomcat-7
- patch by Small Penguin (dark.shadow@gmx.at) and QA fixes by ScytheMan
- (scytheman666@gmail.com).
-
-*eclipse-sdk-3.7.0-r3.ebuild (03 Nov 2011)
-
- 03 Nov 2011; Sven Eden <sven.eden@gmx.de> +eclipse-sdk-3.7.0-r3.ebuild :
- QA-fixed version by ScytheMan (scytheman666@gmail.com), taken from Bug
- #325271 with added Tomcat-7 patch by Small Penguin (dark.shadow@gmx.at).
-
-*eclipse-sdk-3.7.0-r2.ebuild (15 Aug 2011)
-
- 19 Aug 2011; Sven Eden <sven.eden@gmx.de> +eclipse-sdk-3.7.0-r2.ebuild :
- Added dependency for dev-java/ant-nodeps if doc use flag is set.
-
-*eclipse-sdk-3.7.0-r1.ebuild (15 Aug 2011)
-
- 15 Aug 2011; Sven Eden <sven.eden@gmx.de> +eclipse-sdk-3.7.0-r1.ebuild :
- Changed to use java-virtuals/jetty-server:6 instead of jetty directly as
- a dependency.
-
-*eclipse-sdk-3.7.0.ebuild (15 Aug 2011)
-
- 15 Aug 2011; Sven Eden <sven.eden@gmx.de> +eclipse-sdk-3.7.0.ebuild :
- Initial commit of the ebuild. Taken from Bug #325271, written by Matt Whitlock
- (gentoo@mattwhitlock.name), fixed by Slayer (slayer.rus@gmail.com).
diff --git a/dev-util/eclipse-sdk/Manifest b/dev-util/eclipse-sdk/Manifest
deleted file mode 100644
index 6101d78..0000000
--- a/dev-util/eclipse-sdk/Manifest
+++ /dev/null
@@ -1,10 +0,0 @@
-AUX 3.7/eclipse-3.7 1387 SHA256 b2974e94d54db5094052fe1c56810993d4275bdf6afa0a653f81cc49486cfed6 SHA512 785b460bf1fcec4170132e163484f05cb40ad4a02d200d4290e2467ed4b567fd1b7053b94020445103ffe8ea12bdec2a61991286f04d5af016f233e125fb865d WHIRLPOOL ab03139966ef2414047a03dbaf1a3fc5a4e6327bba2766ddfb20e150e01d3966e503e2595bc80864ba90a78d007cc42f172a648cb0b75cf2d6af2ff30616ad57
-AUX 3.7/eclipserc-3.7 858 SHA256 0aea733c968ca064ad5ca95d5895778ecf7387826198b512e98d0cbb7dd353f1 SHA512 8705aac02f998bf43d797c9c13592927e73154a1c908d2ac85544b6e197b249b20bc6f189d11eea4a48a76f184ac818d145fa6c05d4980bfe9a542eb9f42dd7b WHIRLPOOL 5dabd6bf5c6d584221192ee6c84c4defb9c011d465fef2679745161f9e38b88fd420cca803367f9ae13ec71036dbd3b8b8fc8fe7e6d47bb570b7b6438d638f7a
-AUX 3.7/gtk_makefile.patch 1541 SHA256 5b33a3bb23856cdd46381a4de50100392858e9e37cbf814d2426589fa0bbdf58 SHA512 12dec72e897fa4d5d0686a66491249bae740f7aa415e739de410cb5352a73cd5e4d3a58351f42d4623eda4a9a16b7de99c80ad43f4a796a2db40ef3b02f0b4ef WHIRLPOOL c9dbee05925109ae0ea571038b7ead13f7f436dbea7c1fdefe7c0de993c0c9566f5fca0ef5623e34744ab58f6c1c5c5d5dbf3c5bbcd3b3b6c7b4764f66c4165b
-AUX 3.7/hamcrest-junit-lib.patch 1236 SHA256 fbf4cf2b341e87b0e14be8e9794bee89b31e12af1fdf6e078d465d4d29bf09eb SHA512 2a26b1c34e4a583ed210d9aeefd695e121b1271e8cd01ea04bd93bec8a174d63c36b712846423cde99f99be90a33785a5b940bc988073ae312405e5386f1888e WHIRLPOOL 5cdea3981da1d44780079f4ed177c6a517bafeb0ac5f9f7ce0fb14a960ff0c088b9786e9571985a25206afb531c027711b46ebc6f10502842471a707343fcb42
-AUX 3.7/iterators.patch 2058 SHA256 cc2a1da26b8f63d9c4b75ededf10d7aa67a0d53dea390154eef882dc75e37f2b SHA512 f5e6e0e87428df3636578387b26c4cc1634910fb374537bd527724807740abfa9a37b28def10190d41dd1713b8716db25ec7295491924f45875cf4ffbf2adc43 WHIRLPOOL f920d3506324cca59427cca7a9830088b77ce23210cb4c14c5e492d0a7d74c74df30a8db641da1eb14524180991462352bbf402f1c5b8548931832935dccbd01
-DIST eclipse-3.7.1-src.tar.bz2 69243059 SHA256 f3a87ff4408aeadc6823eb849330527df07d5706d6456af282170bb9bbbd31d6 SHA512 6743730a50225b38ef88b726b211dca31d13fd8e3297208f44b10a7972f594067c3c79774154e0d1bdde837c4094699b6f2723cd3b0977c4887a628b09b43d5a WHIRLPOOL d31347f4f8536101f7e9bf4b3d61df69a4b4dcd65b15735d719ba295970cf51dca2c30fac3d75f38be44adbf26cc26b81bcda6861784cc5a20c339591990ecc5
-DIST eclipse-build-9e028fbc74e844e96a6fd944d7d4f68909283a5d.tar.bz2 267717 SHA256 dfe5cd3ffb6c61daf090162b5a0978ecc003884c007a0620741e5feae6992d88 SHA512 e58b74dc4439b3040548ec119bf9e1acb6c51801040b83ca1ff45df69ec1bbf86de1f6c6f8866914aa95666f4fda096b8e6356780d20da1d4d9745d93a472da8 WHIRLPOOL afaab570d9ca3267a3e2c54014a10e2adf28bb7710285973aff64adedcb3135a2ae9e6892f1ca3926fda7bc60cb54b12532f911dfedf935fdaeaf79f2b23ef6a
-EBUILD eclipse-sdk-3.7.1-r11.ebuild 15466 SHA256 03bbaf75a390011b24caef86cd5d93f66beac8b053c2d35adf3f0645d9949133 SHA512 d4030bd3841981eb26df0fe7614546a4035b349efefa70b139b353a4a638e8863429a3e7c694c5ecab718cc1c79ad3cb1cf545d1b432c7a470281017570dee63 WHIRLPOOL 4f652c80f8490804a09d28b96531e5202cfe80d6d221ca808a366998a5a781851dedf6cc7cb1fabfeaea7defc6decaf5cc89caf24b800e6274e3b6dedfa07f1d
-MISC ChangeLog 6746 SHA256 2407556c1447cf79233038fe695e29cd073529bc48862f0668f01cfbed22fea6 SHA512 77abdc1136f3883a13db1aad6753992d032af764c0b4fecc572baa465cf00cf54d85d59a97f37486bfaf0841789cd7d7329ba34bcfa3643a07b0a76832a22659 WHIRLPOOL 84205f1e8cf7c77fec6223d4a0846c95a228a77eab4dfafcfe13e73e23cefeac588dfee2c3c8e8123b11ed4522c55a4ab10c6f0d8c79b5dc6ba3f48c29112e6f
-MISC metadata.xml 432 SHA256 4b623207721b0a6c1f5eb3f9d8e3aabcd5c892fb6930eb7eed8484a90738e7fd SHA512 febe46a15d2ba1d44718166e4707cb7d68560ffe56496b197607d113e2a08727f93c61da7e3c3eaa755b17e528a2a3ff441c1b0994dfb11abfa7ecdab3f7db37 WHIRLPOOL 707e46e25beaf78e338bae7ca5d31e81b3896c1d62bb6831b3e3af474448cc21e321cea555f70bee0351eb391c47293ccd45ff43350d0a121d82738ee9f99546
diff --git a/dev-util/eclipse-sdk/eclipse-sdk-3.7.1-r11.ebuild b/dev-util/eclipse-sdk/eclipse-sdk-3.7.1-r11.ebuild
deleted file mode 100644
index 1b1fc8d..0000000
--- a/dev-util/eclipse-sdk/eclipse-sdk-3.7.1-r11.ebuild
+++ /dev/null
@@ -1,442 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header$
-
-EAPI="4"
-
-# eclipse-build is too complicated for automatic fixing
-# if there are any fixes we should create patches
-# and push them upstream
-JAVA_PKG_BSFIX="off"
-
-inherit java-pkg-2 java-ant-2 check-reqs multilib
-
-BUILD_VER="3.7.1"
-BUILD_ID="I20110909-1335"
-BUILD_LABEL="${BUILD_VER}-${BUILD_ID}"
-ECLIPSE_BUILD_VER="9e028fbc74e844e96a6fd944d7d4f68909283a5d"
-S="${WORKDIR}/org.eclipse.linuxtools.eclipse-build-${ECLIPSE_BUILD_VER}/eclipse-build"
-
-DESCRIPTION="Eclipse SDK"
-HOMEPAGE="http://www.eclipse.org/eclipse/"
-BASE_URI="http://download.eclipse.org/technology/linuxtools/eclipse-build/3.7.x_Indigo/"
-SRC_URI="${BASE_URI}eclipse-${BUILD_VER}-src.tar.bz2
- http://git.eclipse.org/c/linuxtools/org.eclipse.linuxtools.eclipse-build.git/snapshot/org.eclipse.linuxtools.eclipse-build-${ECLIPSE_BUILD_VER}.tar.bz2 -> eclipse-build-${ECLIPSE_BUILD_VER}.tar.bz2"
-# ${BASE_URI}eclipse-build-${ECLIPSE_BUILD_VER}.tar.xz"
-
-LICENSE="EPL-1.0"
-RESTRICT="mirror"
-SLOT="3.7"
-KEYWORDS="~amd64 ~x86"
-IUSE="android doc source"
-
-ANT="1.8.2"
-SWT="3.7.2"
-
-# JDKs tested so far are:
-# =dev-java/sun-jdk-1.6.0*
-# several 1.7 jdks
-
-CDEPEND="android? ( ~dev-java/swt-${SWT}:${SLOT}[cairo] )
- !android? ( ~dev-java/swt-${SWT}:${SLOT} )
- >=dev-java/ant-${ANT}
- >=dev-java/asm-3.3.1:3
- >=dev-java/commons-codec-1.3
- >=dev-java/commons-el-1.0
- >=dev-java/commons-httpclient-3.1:3
- >=dev-java/commons-logging-1.0.4
- >=dev-java/hamcrest-core-1.1
- >=dev-java/icu4j-4.4.2:4.4
- >=dev-java/jsch-0.1.41
- >=dev-java/junit-3.8.2:0
- >=dev-java/junit-4.8.2:4
- >=dev-java/lucene-2.9.1:2.9
- >=dev-java/lucene-analyzers-2.9.1:2.9
- >=dev-java/sat4j-core-2.3.0:2.3
- >=dev-java/sat4j-pseudo-2.3.0:2.3
- dev-java/tomcat-servlet-api:2.5
- >=www-servers/tomcat-7:7
- >=java-virtuals/jetty-server-6"
-RDEPEND="${CDEPEND}
- >=virtual/jre-1.6
- media-libs/libpng:1.2"
-
-DEPEND="${CDEPEND}
- app-arch/unzip
- app-arch/xz-utils
- app-arch/zip
- >=dev-java/ant-antlr-${ANT}
- >=dev-java/ant-apache-bcel-${ANT}
- >=dev-java/ant-apache-bsf-${ANT}
- >=dev-java/ant-apache-log4j-${ANT}
- >=dev-java/ant-apache-oro-${ANT}
- >=dev-java/ant-apache-regexp-${ANT}
- >=dev-java/ant-apache-resolver-${ANT}
- >=dev-java/ant-apache-xalan2-${ANT}
- >=dev-java/ant-commons-logging-${ANT}
- >=dev-java/ant-commons-net-${ANT}
- >=dev-java/ant-core-${ANT}
- >=dev-java/ant-javamail-${ANT}
- >=dev-java/ant-jdepend-${ANT}
- >=dev-java/ant-jmf-${ANT}
- >=dev-java/ant-jsch-${ANT}
- >=dev-java/ant-junit-${ANT}
- >=dev-java/ant-junit4-${ANT}
- >=dev-java/ant-swing-${ANT}
- >=dev-java/ant-testutil-${ANT}
- || ( =dev-java/sun-jdk-1.6.0*
- =dev-java/icedtea-bin-7*
- =dev-java/icedtea-7*
- =dev-java/oracle-jdk-bin-1.7.0*
- =dev-java/soylatte-jdk-bin-7*
- )
- android? ( >=dev-util/android-sdk-update-manager-21 )"
-
-OSGI_DEPENDENCIES=(
- 'com.ibm.icu - icu4j-4.4'
- 'com.jcraft.jsch - jsch'
- 'javax.servlet - tomcat-servlet-api-2.5 servlet-api'
-# 'javax.servlet tomcat6-servlet-2.5-api tomcat-servlet-api-2.5 servlet-api'
- 'javax.servlet.jsp - tomcat-servlet-api-2.5 jsp-api'
-# 'javax.servlet.jsp tomcat6-jsp-2.1-api tomcat-servlet-api-2.5 jsp-api'
- 'org.apache.commons.codec commons-codec commons-codec'
- 'org.apache.commons.el apache-commons-el-1.0 commons-el'
- 'org.apache.commons.httpclient - commons-httpclient-3'
-# 'org.apache.commons.httpclient jakarta-commons-httpclient-3.1 commons-httpclient-3'
- 'org.apache.commons.logging apache-commons-logging commons-logging'
- 'org.apache.jasper - tomcat-7 jasper jasper-el'
- 'org.apache.lucene.core - lucene-2.9'
-# 'org.apache.lucene.core lucene lucene-2.9'
- 'org.apache.lucene.analysis - lucene-analyzers-2.9'
-# 'org.apache.lucene.analysis lucene-analyzers lucene-analyzers-2.9'
- 'org.hamcrest.core - hamcrest-core'
- 'org.mortbay.jetty.server - jetty-6 jetty'
-# 'org.mortbay.jetty.server jetty-6.1.26 jetty-6 jetty'
- 'org.mortbay.jetty.util - jetty-6 jetty-util'
-# 'org.mortbay.jetty.util jetty-util-6.1.26 jetty-6 jetty-util'
- 'org.objectweb.asm - asm-3'
- 'org.sat4j.core - sat4j-core-2.3'
-# 'org.sat4j.core org.sat4j.core sat4j-core-2.3'
- 'org.sat4j.pb - sat4j-pseudo-2.3'
-# 'org.sat4j.pb org.sat4j.pb sat4j-pseudo-2.3'
-)
-NONOSGI_DEPENDENCIES=(
- 'org.apache.ant ant-antlr'
- 'org.apache.ant ant-apache-bcel'
- 'org.apache.ant ant-apache-bsf'
- 'org.apache.ant ant-apache-log4j'
- 'org.apache.ant ant-apache-oro'
- 'org.apache.ant ant-apache-regexp'
- 'org.apache.ant ant-apache-resolver'
- 'org.apache.ant ant-apache-xalan2'
- 'org.apache.ant ant-commons-logging'
- 'org.apache.ant ant-commons-net'
- 'org.apache.ant ant-core ant ant-launcher'
- 'org.apache.ant ant-javamail'
- 'org.apache.ant ant-jdepend'
- 'org.apache.ant ant-jmf'
- 'org.apache.ant ant-jsch'
- 'org.apache.ant ant-junit'
- 'org.apache.ant ant-junit4'
-# 'org.apache.ant ant-launcher'
- 'org.apache.ant ant-swing'
- 'org.apache.ant ant-testutil'
- 'org.junit_3.8.2.v3 junit'
- 'org.junit4 junit-4 junit'
- 'org.junit_4.8.2.v4 junit-4 junit'
-)
-
-ALL_OS='aix hpux linux macosx qnx solaris win32'
-ALL_WS='carbon cocoa gtk motif photon win32 wpf'
-ALL_ARCH='alpha arm ia64 mips mipsel PA_RISC ppc ppc64 s390 s390x sparc sparc64 x86 x86_64'
-
-pkg_pretend() {
- CHECKREQS_MEMORY="1280M"
- if use doc ; then
- CHECKREQS_DISK_BUILD="3072M"
- else
- CHECKREQS_DISK_BUILD="1536M"
- fi
- check-reqs_pkg_pretend
-}
-
-buildDir="${S}/build/eclipse-${BUILD_VER}-src"
-
-pkg_setup() {
- CHECKREQS_MEMORY="1280M"
- if use doc ; then
- CHECKREQS_DISK_BUILD="3072M"
- else
- CHECKREQS_DISK_BUILD="1536M"
- fi
-
- check-reqs_pkg_setup
- ws='gtk'
- if use x86 ; then os='linux' ; arch='x86'
- elif use amd64 ; then os='linux' ; arch='x86_64'
- fi
-
- java-pkg-2_pkg_setup
-
- if use doc ; then
- ewarn "Having the 'doc' USE flag enabled greatly increases the build time."
- ewarn "You might want to disable it for ${PN} if you don't need it."
- fi
-}
-
-src_unpack() {
- unpack "eclipse-build-${ECLIPSE_BUILD_VER}.tar.bz2"
- #tar -xpJf "${DISTDIR}/eclipse-build-${ECLIPSE_BUILD_VER}.tar.xz"
- ln -s "${DISTDIR}/eclipse-${BUILD_VER}-src.tar.bz2" "${S}/eclipse-${BUILD_VER}-src.tar.bz2" || die
-
- cd "${S}"
- # building with ecj fails for some reason (polluted classpath probably)
- java-pkg_force-compiler javac
- sed -e 's/^\(label\|testsBuildLabel\)=.*$/\1='"${BUILD_VER}"'/' \
- -e 's/^buildId=.*$/buildId='"${BUILD_ID}"'/' \
- -i build.properties -i pdebuild.properties || die
- eant unpack
-}
-
-src_prepare() {
- # apply patches before we start cleaning junk out
- eant applyPatches
-
- # fix up hardcoded runtime class paths
- sed -e 's|/usr/lib/jvm/java/jre/lib/rt\.jar:.*$|'"$(java-config --runtime)"'|' \
- -i {,pde}build.properties || die
-
- # we'll handle our own dependency symlinking, so disable eclipse-build helper
- sed -e 's/,symlinkDeps,/,/' -i build.xml || die
- sed_xml_element 'target' -e '/name="provision.sdk"/ s|<symlinkInstalled.*\(<echo \)|\1|' \
- -i build.xml || die
-
- # this unpacking step appears to be unnecessary (and it doesn't work)
- sed_xml_element 'target' -e 's/\(depends="[^"]\+\),[^",]*nestedJars/\1/' \
- -i "${buildDir}"/plugins/*/build.xml || die
-
- # disable building of libgnomeproxy, it never worked anyway
- sed_xml_element 'condition' -e '/property="build\.libgnomeproxy"/d' -i build.xml || die
-
- # skip compilation of SWT native libraries (we use the system-installed copies)
- sed_xml_element 'ant' -e '/swt/d' -i build.xml || die
-
- ebegin 'Removing plugins of irrelevant platforms'
- local remove_os=" ${ALL_OS} " ; remove_os=${remove_os/ ${os} / }
- remove_os=${remove_os# } ; remove_os=${remove_os% } ; remove_os=${remove_os// /'\|'}
- local remove_ws=" ${ALL_WS} " ; remove_ws=${remove_ws/ ${ws} / }
- remove_ws=${remove_ws# } ; remove_ws=${remove_ws% } ; remove_ws=${remove_ws// /'\|'}
- local remove_arch=" ${ALL_ARCH} " ; remove_arch=${remove_arch/ ${arch} / }
- remove_arch=${remove_arch# } ; remove_arch=${remove_arch% } ; remove_arch=${remove_arch// /'\|'}
- sed_xml_element 'includes\|plugin' \
- -e '/id="org\.eclipse\.\(core\.net\.linux\.x86\|update\.core\.linux\)"/b' \
- -e '/os="'"${remove_os}"'"/d' -e '/ws="'"${remove_ws}"'"/d' -e '/arch="'"${remove_arch}"'"/d' \
- -i "${buildDir}"/features/*/feature.xml "${S}"/eclipse-build-feature/feature.xml \
- || die 'remove irrelevant platforms failed'
- eend
-
- if ! use doc ; then
- ebegin 'Removing documentation plugins'
- rm -rf "${buildDir}"/plugins/*.doc{,.*}
- eclipse_delete-plugins '.*\.doc\(\..*\|\)'
- eend
- fi
-
- if ! use source ; then
- ebegin 'Removing source plugins'
- rm -rf "${buildDir}"/plugins/*.source{,_*}
- eclipse_delete-plugins '.*\.source'
- eend
- fi
-
- ebegin 'Linking dependencies'
- local dep ; for dep in "${OSGI_DEPENDENCIES[@]}" ; do
- eclipse_create-osgi-dep ${dep}
- done
- local dep ; for dep in "${NONOSGI_DEPENDENCIES[@]}" ; do
- eclipse_create-nonosgi-dep ${dep}
- done
- eend
-
- cd "${buildDir}" || die
- epatch "${FILESDIR}/${SLOT}/hamcrest-junit-lib.patch"
- epatch "${FILESDIR}/${SLOT}/gtk_makefile.patch"
- epatch "${FILESDIR}/${SLOT}/iterators.patch"
-}
-
-src_compile() {
- ANT_OPTS='-Xmx512M' eant -DbuildArch="${arch}"
-
- # remove stray symlink
- rm "${buildDir}"/installation/plugins/junit4.jar
-}
-
-src_install() {
- local destDir="/usr/$(get_libdir)/eclipse-${SLOT}"
-
- insinto "${destDir}"
- shopt -s dotglob
- doins -r "${buildDir}"/installation/* || die
- shopt -u dotglob
- chmod +x "${D}${destDir}"/eclipse
- rm -f "${D}${destDir}"/libcairo-swt.so # use the system-installed SWT libraries
-
- # if swt-3.7.2 is installed, the swt libraries need symlinks or
- # eclipse will not find them:
- local swtLibMajorMinor="$(echo ${SWT} | sed 's/\.//' | cut -c -2)"
- local xLibDir="/usr/$(get_libdir)"
- local xLibs="atk-gtk gtk pi-gtk"
- if use android ; then
- xLibs="${xLibs} cairo-gtk"
- fi
- ebegin "Symlinking swt libraries in ${xLibDir}"
- for xLib in ${xLibs} ; do
- local xSrc="${xLibDir}/libswt-${xLib}.so"
- local xLibVersions="$(ls -r ${xLibDir}/libswt-${xLib}-${swtLibMajorMinor}*.so)"
- local xTgt="$(basename ${xLibVersions})"
- dosym "${xTgt}" "${xSrc}" || die
- done
- eend
-
- # redo symlinks
- ebegin 'Relinking dependencies'
- local dep ; for dep in "${OSGI_DEPENDENCIES[@]}" ; do
- eclipse_relink-osgi-dep ${dep}
- done
- local dep ; for dep in "${NONOSGI_DEPENDENCIES[@]}" ; do
- eclipse_relink-nonosgi-dep ${dep}
- done
- eend
-
- # Install Gentoo wrapper and config
- dobin "${FILESDIR}/${SLOT}/eclipse-${SLOT}" || die
- insinto /etc
- doins "${FILESDIR}/${SLOT}/eclipserc-${SLOT}" || die
-
- # Create desktop entry
- make_desktop_entry "eclipse-${SLOT}" "Eclipse ${PV}" "${destDir}/icon.xpm" || die
-}
-
-eclipse_create-osgi-dep() {
- local bundle=${1} replace=${2} package=${3} ; shift 3
- bundle=$(basename "${S}/dependencyManifests/${bundle}"_*.jar .jar) || die
- [[ ${replace} == '-' ]] && replace=${bundle}
- einfo " ${bundle} => ${package}" "${@}"
- mkdir -p "${buildDir}/plugins/${bundle}" || die
- pushd "${buildDir}/plugins/${bundle}" > /dev/null || die
- if (( ${#} )) ; then
- local jar ; for jar in "${@}" ; do
- java-pkg_jar-from "${package}" "${jar}.jar"
- done
- else
- java-pkg_jar-from "${package}"
- fi
- mkdir META-INF || die
- cp "${S}/dependencyManifests/${bundle}.jar/META-INF/MANIFEST.MF" META-INF/ || die
- manifest_replace META-INF/MANIFEST.MF 'Bundle-ClassPath' "$(echo *.jar | tr ' ' ',')"
- manifest_delete META-INF/MANIFEST.MF 'Name\|SHA1-Digest'
- # replace classpath refs to this bundle with refs to system-installed jars
- sed_xml_element 'pathelement' -e '/path="\([^"]\+\/\)\?'"${replace//./\.}"'\.jar"/c '"$(
- for jar in *.jar ; do
- echo -n '<pathelement path="'"$(readlink "${jar}")"'"/>'
- done)" -i "${buildDir}"/plugins/*/build.xml || die
- popd > /dev/null || die
- # include unpacked bundle in copy to bootstrap plugins dir
- sed_xml_element 'fileset' -e '/id="orbitDeps"/ s|</fileset>|<include name="'"${bundle}/"'"/>\0|' \
- -i "${S}/pdebuild.xml" || die
-}
-
-eclipse_create-nonosgi-dep() {
- local bundle=${1} package=${2} ; shift 2
- local pdir=${buildDir}/plugins
- local jar ; for jar in "${@:-${package}}" ; do
- local dir=$(dirname "$(grep -ho "${bundle//./\.}"'\(_[^/=]*\)\?/\([^/=]*/\)*'"${jar}"'\.jar' \
- "${S}"/{,jdt}nonosgidependencies.properties)") || die
- einfo " ${dir}/${jar}.jar => ${package}"
- mkdir -p "${pdir}/${dir}" || die
- java-pkg_jar-from --build-only "${package}" "${jar}.jar" "${pdir}/${dir}/${jar}.jar"
- dir=${dir%%/*}
- local manifest=${pdir}/${dir}/META-INF/MANIFEST.MF
- [[ -f ${manifest} ]] && manifest_delete "${manifest}" 'Name\|SHA1-Digest'
- rm -f "${pdir}/${dir}"/META-INF/ECLIPSEF.{RSA,SF}
- done
-}
-
-eclipse_relink-osgi-dep() {
- local bundle=${1} replace=${2} package=${3} ; shift 3
- einfo " ${bundle} => ${package}" "${@}"
- pushd "${D}${destDir}/plugins/${bundle}"_* > /dev/null || die
- if (( ${#} )) ; then
- local jar ; for jar in "${@}" ; do
- java-pkg_jar-from --build-only "${package}" "${jar}.jar"
- done
- else
- java-pkg_jar-from --build-only "${package}"
- fi
- popd > /dev/null || die
-}
-
-eclipse_relink-nonosgi-dep() {
- local bundle=${1} package=${2} ; shift 2
- local pdir=${D}${destDir}/plugins
- local jar ; for jar in "${@:-${package}}" ; do
- local dir=$(dirname "$(grep -ho "${bundle//./\.}"'\(_[^/=]*\)\?/\([^/=]*/\)*'"${jar}"'\.jar' \
- "${S}"/{,jdt}nonosgidependencies.properties)") || die
- einfo " ${dir}/${jar}.jar => ${package}"
- mkdir -p "${pdir}/${dir}" || die
- java-pkg_jar-from --build-only "${package}" "${jar}.jar" "${pdir}/${dir}/${jar}.jar"
- done
-}
-
-# Removes feature.xml references to plugins matching ${1}.
-eclipse_delete-plugins() {
- sed_xml_element 'includes\|plugin' -e '/id="'"${1}"'"/d' \
- -i "${buildDir}"/features/*/feature.xml "${S}"/eclipse-build-feature/feature.xml \
- || die 'eclipse_delete-plugins failed'
-}
-
-# Prints the first value from manifest file ${1} whose key matches regex ${2},
-# unfolding as necessary.
-manifest_get() {
- sed -n -e '/^\('"${2}"'\): /{h;:A;$bB;n;/^ /!bB;H;bA};d;:B;g;s/^[^:]*: //;s/\n //g;p;q' "${1}" \
- || die 'manifest_get failed'
-}
-
-# Deletes values from manifest file ${1} whose keys match regex ${2}, taking
-# into account folding.
-manifest_delete() {
- sed -n -e ':A;/^\('"${2}"'\): /{:B;n;/^ /!{bA};bB};p' -i "${1}" \
- || die 'manifest_delete failed'
-}
-
-# Replaces the value for key ${2} in the first section of manifest file ${1}
-# with ${3}, or adds the key-value pair to that section if the key was absent.
-manifest_replace() {
- LC_ALL='C' awk -v key="${2}" -v val="${3}" '
-function fold(s, o, l, r) {
- o = 2 ; l = length(s) - 1 ; r = substr(s, 1, 1)
- while (l > 69) { r = r substr(s, o, 69) "\n " ; o += 69 ; l -= 69 }
- return r substr(s, o)
-}
-BEGIN { FS = ": " }
-f { print ; next }
-i { if ($0 !~ "^ ") { f = 1 ; print } ; next }
-$1 == key { print fold(key FS val) ; i = 1 ; next }
-/^\r?$/ { print fold(key FS val) ; print ; f = 1 ; next }
-{ print }
-END { if (!f) { print fold(key FS val) } }
-' "${1}" > "${1}-" && mv "${1}"{-,} || die 'manifest_replace failed'
-}
-
-# Executes sed over each XML element with a name matching ${1}, rather than
-# over each line. The entire element (and its children) may be removed with the
-# 'd' command, or they may be edited using all the usual sed foo. Basically,
-# the script argument will be executed only for elements matching ${1}, and the
-# sed pattern space will consist of the entire element, including any nested
-# elements. Note that this is not perfect and requires no more than one XML
-# element per line to be reliable.
-sed_xml_element() {
- local elem=${1} ; shift
- sed -e '/<\('"${elem}"'\)\([> \t]\|$\)/{:_1;/>/!{N;b_1};/\/>/b_3' \
- -e ':_2;/<\/\('"${elem}"'\)>/!{N;b_2};b_3};b;:_3' "${@}"
-}
diff --git a/dev-util/eclipse-sdk/files/3.7/eclipse-3.7 b/dev-util/eclipse-sdk/files/3.7/eclipse-3.7
deleted file mode 100644
index aed6745..0000000
--- a/dev-util/eclipse-sdk/files/3.7/eclipse-3.7
+++ /dev/null
@@ -1,46 +0,0 @@
-#! /bin/sh
-#
-# Tiny startup wrapper for Eclipse
-#
-# Copyright (c) 2004, Karl Trygve Kalleberg <karltk@gentoo.org>
-# Copyright (c) 2007-2008, Jean-Noël Rivasseau <elvanor@gentoo.org>
-# Copyright (c) 2004-2008, Gentoo Foundation
-#
-# Licensed under the GNU General Public License, version 2
-#
-
-SLOT="3.7"
-
-[ -f "/etc/eclipserc-${SLOT}" ] && . "/etc/eclipserc-${SLOT}"
-[ -f "$HOME/gentoo/.eclipserc" ] && . "$HOME/gentoo/.eclipserc"
-
-ECLIPSE_HOME=${ECLIPSE_HOME:="/usr/lib/eclipse-${SLOT}"}
-ECLIPSE_BIN="${ECLIPSE_HOME}/eclipse"
-
-if [ ! -x "${ECLIPSE_BIN}" ] ; then
- echo "Failed to find executable '${ECLIPSE_BIN}'" > /dev/stderr
- exit 1
-fi
-
-if [ $(id -u) -eq 0 ] ; then
- echo "Do not run eclipse as root user! Exiting ..." > /dev/stderr
- exit 1
-fi
-
-case "$(java-config -f)" in
- *gcj*)
- export JAVA_PKG_CLASSMAP="${ECLIPSE_HOME}/eclipse.gcjdb"
- ;;
-esac
-
-eval $(gjl --package "swt-${SLOT}" --get-args)
-
-[ -n "${ECLIPSE_XMS}" ] && VM_ARGS="${VM_ARGS} -Xms${ECLIPSE_XMS}"
-[ -n "${ECLIPSE_XMX}" ] && VM_ARGS="${VM_ARGS} -Xmx${ECLIPSE_XMX}"
-[ -n "${ECLIPSE_PERMSIZE}" ] && VM_ARGS="${VM_ARGS} -XX:PermSize=${ECLIPSE_PERMSIZE}"
-[ -n "${ECLIPSE_MAX_PERMSIZE}" ] && VM_ARGS="${VM_ARGS} -XX:MaxPermSize=${ECLIPSE_MAX_PERMSIZE}"
-
-# Fix for JRE 1.5.
-export LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:/usr/lib
-
-exec "${ECLIPSE_BIN}" -vm $(java-config --java) "$@" "${ECLIPSE_USER_ARGS}" -vmargs ${VM_ARGS}
diff --git a/dev-util/eclipse-sdk/files/3.7/eclipserc-3.7 b/dev-util/eclipse-sdk/files/3.7/eclipserc-3.7
deleted file mode 100644
index 703b649..0000000
--- a/dev-util/eclipse-sdk/files/3.7/eclipserc-3.7
+++ /dev/null
@@ -1,20 +0,0 @@
-# This file specifies some initial Eclipse settings, like memory allowed
-# These settings only affect Eclipse startup and overall configuration
-# Main Eclipse configuration should be done within Eclipse (with the GUI)
-
-# Following variables controls the minimal and maximum amounts of memory
-# allocated to Eclipse (respectively).
-# Increase those numbers if you get OutOfMemory errors.
-
-ECLIPSE_XMS=128m
-ECLIPSE_XMX=256m
-
-# Following variables controls the minimal and maximum amounts of memory
-# allocated to the permanent generation space.
-# This space contains data related to all classes.
-# Thus, if you use a lot of Eclipse plugins, it is recommended to uncomment
-# these variables and even increase it, if you have enough RAM.
-# Else you will get crashes related to OutOfMemory in PermGen exceptions.
-
-#ECLIPSE_PERMSIZE=64m
-#ECLIPSE_MAX_PERMSIZE=128m \ No newline at end of file
diff --git a/dev-util/eclipse-sdk/files/3.7/gtk_makefile.patch b/dev-util/eclipse-sdk/files/3.7/gtk_makefile.patch
deleted file mode 100644
index dd71e95..0000000
--- a/dev-util/eclipse-sdk/files/3.7/gtk_makefile.patch
+++ /dev/null
@@ -1,36 +0,0 @@
---- features/org.eclipse.equinox.executable/library/gtk/make_linux.mak~ 2010-02-08 21:14:12.000000000 +0000
-+++ features/org.eclipse.equinox.executable/library/gtk/make_linux.mak 2010-08-09 21:47:30.543247031 +0000
-@@ -27,7 +27,8 @@
- PROGRAM_OUTPUT=eclipse
- endif
-
--PROGRAM_LIBRARY=$(PROGRAM_OUTPUT)_$(LIB_VERSION).so
-+PROGRAM_SONAME=$(PROGRAM_OUTPUT)_$(LIB_VERSION)
-+PROGRAM_LIBRARY=$(PROGRAM_SONAME).so
-
- ifeq ($(DEFAULT_JAVA),)
- DEFAULT_JAVA=DEFAULT_JAVA_JNI
-@@ -44,8 +45,8 @@
- #LIBS = `pkg-config --libs-only-L gtk+-2.0` -lgtk-x11-2.0 -lgdk_pixbuf-2.0 -lgobject-2.0 -lgdk-x11-2.0 -lpthread -ldl -lX11
- LIBS = -lpthread -ldl
- GTK_LIBS = -DGTK_LIB="\"libgtk-x11-2.0.so.0\"" -DGDK_LIB="\"libgdk-x11-2.0.so.0\"" -DPIXBUF_LIB="\"libgdk_pixbuf-2.0.so.0\"" -DGOBJ_LIB="\"libgobject-2.0.so.0\"" -DX11_LIB="\"libX11.so.6\""
--LFLAGS = ${M_ARCH} -shared -fpic -Wl,--export-dynamic
--CFLAGS = ${M_ARCH} -g -s -Wall\
-+LFLAGS = ${M_ARCH} -shared -Wl,-soname=$(PROGRAM_SONAME) -fpic -Wl,--export-dynamic
-+CFLAGS += ${M_ARCH} -Wall\
- -fpic \
- -DLINUX \
- -DMOZILLA_FIX \
-@@ -95,10 +96,10 @@
- $(CC) $(CFLAGS) -c ../eclipseNix.c -o eclipseNix.o
-
- $(EXEC): $(MAIN_OBJS) $(COMMON_OBJS)
-- $(CC) ${M_ARCH} -o $(EXEC) $(MAIN_OBJS) $(COMMON_OBJS) $(LIBS)
-+ $(CC) ${M_ARCH} $(LDFLAGS) -o $(EXEC) $(MAIN_OBJS) $(COMMON_OBJS) $(LIBS)
-
- $(DLL): $(DLL_OBJS) $(COMMON_OBJS)
-- $(CC) $(LFLAGS) -o $(DLL) $(DLL_OBJS) $(COMMON_OBJS) $(LIBS)
-+ $(CC) $(LDFLAGS) $(LFLAGS) -o $(DLL) $(DLL_OBJS) $(COMMON_OBJS) $(LIBS)
-
- install: all
- cp $(EXEC) $(OUTPUT_DIR)
diff --git a/dev-util/eclipse-sdk/files/3.7/hamcrest-junit-lib.patch b/dev-util/eclipse-sdk/files/3.7/hamcrest-junit-lib.patch
deleted file mode 100644
index edad52c..0000000
--- a/dev-util/eclipse-sdk/files/3.7/hamcrest-junit-lib.patch
+++ /dev/null
@@ -1,11 +0,0 @@
---- plugins/org.eclipse.jdt.junit.core/src/org/eclipse/jdt/internal/junit/buildpath/BuildPathSupport.java~ 2011-03-09 16:38:30.000000000 +0000
-+++ plugins/org.eclipse.jdt.junit.core/src/org/eclipse/jdt/internal/junit/buildpath/BuildPathSupport.java 2011-06-15 18:07:35.272733911 +0000
-@@ -161,7 +161,7 @@
- "org.junit", new VersionRange("[4.7.0,5.0.0)"), "junit.jar", "junit.jar", "org.junit.source", "source-bundle/", JUnitPreferencesConstants.JUNIT4_JAVADOC); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ //$NON-NLS-6$
-
- private static final JUnitPluginDescription HAMCREST_CORE_PLUGIN= new JUnitPluginDescription(
-- "org.hamcrest.core", new VersionRange("[1.1.0,2.0.0)"), null, "org.hamcrest.core_1.*.jar", "org.hamcrest.core.source", "source-bundle/", JUnitPreferencesConstants.HAMCREST_CORE_JAVADOC); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$
-+ "org.hamcrest.core", new VersionRange("[1.1.0,2.0.0)"), "hamcrest-core.jar", "org.hamcrest.core_1.*.jar", "org.hamcrest.core.source", "source-bundle/", JUnitPreferencesConstants.HAMCREST_CORE_JAVADOC); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$
-
- /**
- * @return the JUnit3 classpath container
diff --git a/dev-util/eclipse-sdk/files/3.7/iterators.patch b/dev-util/eclipse-sdk/files/3.7/iterators.patch
deleted file mode 100644
index eca230e..0000000
--- a/dev-util/eclipse-sdk/files/3.7/iterators.patch
+++ /dev/null
@@ -1,70 +0,0 @@
---- plugins/org.eclipse.equinox.p2.metadata/src/org/eclipse/equinox/internal/p2/metadata/expression/CompoundIterator.java~ 2010-02-19 12:12:49.000000000 +0000
-+++ plugins/org.eclipse.equinox.p2.metadata/src/org/eclipse/equinox/internal/p2/metadata/expression/CompoundIterator.java 2010-08-09 23:16:39.201246659 +0000
-@@ -25,7 +25,7 @@
- private final Iterator<? extends Object> iteratorIterator;
- private Iterator<T> currentIterator;
-
-- private T nextObject = noElement();
-+ private Object nextObject = NO_ELEMENT;
-
- /**
- * Creates a compound iterator that will iterated over the elements
-@@ -47,8 +47,9 @@
- if (!positionNext())
- throw new NoSuchElementException();
-
-- T nxt = nextObject;
-- nextObject = noElement();
-+ @SuppressWarnings("unchecked")
-+ T nxt = (T) nextObject;
-+ nextObject = NO_ELEMENT;
- return nxt;
- }
-
-@@ -76,9 +77,4 @@
- nextObject = currentIterator.next();
- return true;
- }
--
-- @SuppressWarnings("unchecked")
-- private static <T> T noElement() {
-- return (T) NO_ELEMENT;
-- }
--}
-\ No newline at end of file
-+}
---- plugins/org.eclipse.equinox.p2.metadata/src/org/eclipse/equinox/internal/p2/metadata/expression/MatchIteratorFilter.java~ 2010-02-19 12:12:48.000000000 +0000
-+++ plugins/org.eclipse.equinox.p2.metadata/src/org/eclipse/equinox/internal/p2/metadata/expression/MatchIteratorFilter.java 2010-08-09 23:20:33.572246380 +0000
-@@ -21,7 +21,7 @@
-
- private final Iterator<? extends T> innerIterator;
-
-- private T nextObject = noElement();
-+ private Object nextObject = NO_ELEMENT;
-
- public MatchIteratorFilter(Iterator<? extends T> iterator) {
- this.innerIterator = iterator;
-@@ -35,8 +35,9 @@
- if (!positionNext())
- throw new NoSuchElementException();
-
-- T nxt = nextObject;
-- nextObject = noElement();
-+ @SuppressWarnings("unchecked")
-+ T nxt = (T) nextObject;
-+ nextObject = NO_ELEMENT;
- return nxt;
- }
-
-@@ -63,9 +64,4 @@
- }
- return false;
- }
--
-- @SuppressWarnings("unchecked")
-- private static <T> T noElement() {
-- return (T) NO_ELEMENT;
-- }
--}
-\ No newline at end of file
-+}
diff --git a/dev-util/eclipse-sdk/metadata.xml b/dev-util/eclipse-sdk/metadata.xml
deleted file mode 100644
index 2dec423..0000000
--- a/dev-util/eclipse-sdk/metadata.xml
+++ /dev/null
@@ -1,13 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<pkgmetadata>
-<herd />
-<maintainer>
- <email>yamakuzure@gmx.net</email>
- <description>Only through my private overlay - STRICTLY EXPERIMENTAL!</description>
-</maintainer>
-<use>
- <flag name='android'>Use dev-util/android-sdk-update-manager for android based development</flag>
- <flag name='doc'>Build documentation</flag>
- <flag name='source'>Build source plugins</flag>
-</use>
-</pkgmetadata>
diff --git a/profiles/package.mask b/profiles/package.mask
index ba4eb32..4c366d6 100644
--- a/profiles/package.mask
+++ b/profiles/package.mask
@@ -1,17 +1,4 @@
-# Sven Eden <yamakuzure@gmx.net> (06 Nov 2014)
-# No longer needed, the portage tree version 1.9.0-r1 has all the required
-# fixes. They are now in a reviewd, cleaned up and optimized state.
-# dev-games/ogre will be removed from my overlay december 2014.
-=dev-games/ogre-1.9.0-r2
-
-# Julian Ospald <hasufell@gentoo.org> (30 Dec 2013)
-# breaks every consumer
-# Sven Eden <yamakuzure@gmx.net> (28 Mar 2014)
-# Reason: Heavy API changes.
-=dev-games/ogre-1.9.0-r1
-
-# Sven Eden <yamakuzure@gmx.net> (28 Mar 2014)
-# Discontinued, I am using dev-util/eclipse-sdk-bin-4.2.1-r1 from java overlay.
-# Try it out, it works very well.
-# dev-util/eclipse will be removed from my overlay december 2014.
-=dev-util/eclipse-sdk-3.7.1-r11
+# Sven Eden <yamakuzure@gmx.net> (15 Mar 2016)
+# No longer needed, the AI upgrade project has been merged into
+# the Atomic Tanks main tree.
+games-action/atanks_aiu